MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023880Open CASCADE[OCCT] OCCT:Testspublic2013-04-05 13:502018-12-13 15:24
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.5 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0023880: Integration of grid "ncl" into the new testing system
DescriptionTest grid is located in /dn45/occttests/tests/ED/ncl
It's impossible to get output from following commands:
QANColPerfArray1
QANColPerfArray2
QANColPerfDataMap
QANColPerfDoubleMap
QANColPerfIndexedDataMap
QANColPerfIndexedMap
QANColPerfList
QANColPerfQueue
QANColPerfSList
QANColPerfSequence
QANColPerfSet
QANColPerfStack
Steps To ReproduceDRAW commands QANColPerf* should output results to DRAW interptretor and not cout
TagsNo tags attached.
Test case numberperf ncollection A1
Attached Files

- Relationships
related to 0024240closedapn Separation of header files for QANCollection into hxx and cxx 
related to 0030413closedapn Tests - increase counters within perf/ncollection/A1 

-  Notes
(0024169)
sdv (developer)
2013-04-16 18:11

Log messages has forwarded to the draw interpreter, ncl-tests has implemented.
(0035098)
git (administrator)
2014-12-07 12:11

Branch CR23880_3 has been created by abv.

SHA-1: 10e08404b6c46ecb183b72e24e78b0c3770dcfb7


Detailed log of new commits:

Author: abv
Date: Sun Nov 16 18:52:05 2014 +0300

    0023880: Integration of grid "ncl" into the new testing system
    
    Function perf_sprint_all_meters added in OSD_PerfMeter.h to allow printing to string buffer rather than stdout. Macro PERF_PRINT_ALL converted to functional form.
    
    Command dperf added in DRAW to print and conditionally reset all meters.
    Description of these tools is added in Debug Hints.
(0035099)
abv (manager)
2014-12-07 12:30

I have pushed fix that extends OSD_PerfMeter with possibility to get results to string, and QANColPerf* commands to output to DRAW, to branch CR23880_3.

The tests are also available, however I do not integrate them since they use fixed numbers for expected CPU values and thus are bound to particular hardware. I deem it would be more correct to compare performance of OCCT classes against equivalent STL classes, see command QANTestNCollectionPerformance. The parameter to be controlled would be ratio of performance and it can be expected to less depend on hardware.
(0035343)
git (administrator)
2014-12-11 18:55

Branch CR23880_3 has been updated by apn.

SHA-1: 1ed303b5d9501e8e13b7d76e678adc6e8f41a6b4


Detailed log of new commits:

Author: apn
Date: Thu Dec 11 18:55:32 2014 +0300

    Modified output of command QANTestNCollectionPerformance.
    Added test case perf/ncollection/A1

(0035344)
apn (administrator)
2014-12-11 19:00
edited on: 2014-12-11 19:00

Test case which control ratio of performance between OCCT classes against equivalent STL classes was created.
perf ncollection A1 - OK

Please, review.

(0035636)
abv (manager)
2014-12-23 23:56

Reviewed, please test
(0035670)
git (administrator)
2014-12-24 12:22

Branch CR23880_3 has been updated forcibly by apv.

SHA-1: 71a6fd7c5fd38ed9342292b8829c7c4defd1bd57
(0035671)
apv (tester)
2014-12-24 12:23

Branch CR23880_3 has been rebased on the current master
(0035781)
apv (tester)
2014-12-26 17:59

Dear BugMaster,

Branch CR23880_3 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 71a6fd7c5fd38ed9342292b8829c7c4defd1bd57

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
perf ncollection(019) - KO
http://occt-tests/CR23880-3-master-occt/Debian60-64/perf/ncollection/A1.html [^]
http://occt-tests/CR23880-3-master-occt/Windows-32-VC10/perf/ncollection/A1.html [^]

Testing on Linux:
Total MEMORY difference: 368549776 / 367862128
Total CPU difference: 48086.36000000021 / 51444.81000000015

Testing on Windows:
Total MEMORY difference: 277481312 / 277277864
Total CPU difference: 35566.0625 / 37472.0935757
(0035979)
git (administrator)
2015-01-12 19:07

Branch CR23880_3 has been updated forcibly by apn.

SHA-1: 9a87a3137117259dedb377476a2e6add057eef82
(0035980)
apn (administrator)
2015-01-12 19:10
edited on: 2015-01-12 19:10

Ratio of performance was corrected according to test case behavior on virtual machines.
Please, review.

(0036200)
abv (manager)
2015-01-19 13:53

No remarks, please test (I suppose that executing updated test perf ncollection A1 on previously built branch should be sufficient)
(0036462)
git (administrator)
2015-01-23 18:16

Branch CR23880_3 has been updated forcibly by apv.

SHA-1: a303d488338ee667f40b1e23d5ac058d96799554
(0036464)
apv (tester)
2015-01-23 18:16

Branch CR23880_3 has been rebased on the current master
(0036652)
git (administrator)
2015-01-26 15:57

Branch CR23880_3 has been updated by apv.

SHA-1: 2b84031934874d6bcb26ed7066ab0b4aaa237f26


Detailed log of new commits:

Author: apv
Date: Mon Jan 26 15:56:25 2015 +0300

    Small correction of test-case for Windows platform

(0036668)
apv (tester)
2015-01-26 17:15

Dear BugMaster,

Branch CR23880_3 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: a303d488338ee667f40b1e23d5ac058d96799554

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
perf ncollection(019) - OK
http://occt-tests/CR23880-3-master-occt/Debian60-64/perf/ncollection/A1.html [^]
http://occt-tests/CR23880-3-master-occt/Windows-32-VC10/perf/ncollection/A1.html [^]

Testing on Linux:
Total MEMORY difference: 369852620 / 370114884
Total CPU difference: 53009.8300000001 / 51750.710000000094

Testing on Windows:
Total MEMORY difference: 276067036 / 275769192
Total CPU difference: 45813.3125 / 38148.296875
(0038474)
git (administrator)
2015-03-18 13:31

Branch CR23880 has been deleted by inv.

SHA-1: a1426b9202c22d2ab043bb9306d367c5ab86edcb
(0038475)
git (administrator)
2015-03-18 13:31

Branch CR23880_1 has been deleted by inv.

SHA-1: b5f8c7e834b638d8cbb5c8e6b63c35325d064c13
(0038476)
git (administrator)
2015-03-18 13:31

Branch CR23880_3 has been deleted by inv.

SHA-1: 2b84031934874d6bcb26ed7066ab0b4aaa237f26

- Related Changesets
occt: master 618617fe
Timestamp: 2015-01-29 10:09:07
Author: abv
Committer: bugmaster
Details ] Diff ]
0023880: Integration of grid "ncl" into the new testing system

Function perf_sprint_all_meters added in OSD_PerfMeter.h to allow printing to string buffer rather than stdout. Macro PERF_PRINT_ALL converted to functional form.

Command dperf added in DRAW to print and conditionally reset all meters.
Description of these tools is added in Debug Hints.

Modified output of command QANTestNCollectionPerformance.
Added test case perf/ncollection/A1

Modified ratio of performance to check all platforms

Small correction of test-case for Windows platform
mod - dox/dev_guides/debug/debug.md Diff ] File ]
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]
mod - src/OSD/OSD_PerfMeter.cxx Diff ] File ]
mod - src/OSD/OSD_PerfMeter.h Diff ] File ]
mod - src/QANCollection/QANCollection_Perf.cxx Diff ] File ]
mod - src/QANCollection/QANCollection_Simple.cxx Diff ] File ]
mod - src/QANCollection/QANCollection_Stl.cxx Diff ] File ]
mod - tests/perf/grids.list Diff ] File ]
add - tests/perf/ncollection/A1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-04-05 13:50 apn New Issue
2013-04-05 13:50 apn Assigned To => abv
2013-04-05 14:04 abv Assigned To abv => sdv
2013-04-05 14:04 abv Status new => assigned
2013-04-16 18:11 sdv Note Added: 0024169
2013-04-16 18:11 sdv Status assigned => resolved
2013-04-16 18:16 sdv Assigned To sdv => abv
2013-04-16 18:16 sdv Status resolved => assigned
2013-04-16 18:18 sdv Status assigned => resolved
2013-04-16 18:21 abv Target Version 6.6.0 => 6.7.0
2013-12-21 10:21 abv Target Version 6.7.0 => 6.7.1
2014-03-15 10:25 abv Relationship added related to 0024240
2014-03-17 10:10 kgv Note Added: 0028295
2014-03-17 10:10 kgv Assigned To abv => sdv
2014-03-17 10:10 kgv Status resolved => assigned
2014-03-17 10:11 kgv Note Deleted: 0028295
2014-03-17 10:11 kgv Assigned To sdv => abv
2014-04-04 18:09 abv Target Version 6.7.1 => 6.8.0
2014-09-11 09:26 abv Target Version 6.8.0 => 7.1.0
2014-12-07 12:11 git Note Added: 0035098
2014-12-07 12:30 abv Note Added: 0035099
2014-12-07 12:30 abv Assigned To abv => apn
2014-12-07 12:30 abv Status assigned => resolved
2014-12-07 12:30 abv Steps to Reproduce Updated View Revisions
2014-12-11 18:55 git Note Added: 0035343
2014-12-11 19:00 apn Note Added: 0035344
2014-12-11 19:00 apn Note Edited: 0035344 View Revisions
2014-12-11 19:01 apn Test case number => perf ncollection A1
2014-12-11 19:01 apn Assigned To apn => abv
2014-12-23 23:56 abv Note Added: 0035636
2014-12-23 23:56 abv Assigned To abv => bugmaster
2014-12-23 23:56 abv Status resolved => reviewed
2014-12-24 11:20 mkv Assigned To bugmaster => apv
2014-12-24 12:22 git Note Added: 0035670
2014-12-24 12:23 apv Note Added: 0035671
2014-12-26 17:59 apv Note Added: 0035781
2014-12-26 17:59 apv Assigned To apv => apn
2014-12-26 17:59 apv Status reviewed => assigned
2015-01-12 19:07 git Note Added: 0035979
2015-01-12 19:10 apn Note Added: 0035980
2015-01-12 19:10 apn Note Edited: 0035980 View Revisions
2015-01-12 19:10 apn Assigned To apn => abv
2015-01-12 19:10 apn Status assigned => resolved
2015-01-19 13:53 abv Note Added: 0036200
2015-01-19 13:53 abv Assigned To abv => bugmaster
2015-01-19 13:53 abv Status resolved => reviewed
2015-01-23 16:26 apv Assigned To bugmaster => apv
2015-01-23 18:16 git Note Added: 0036462
2015-01-23 18:16 apv Note Added: 0036464
2015-01-26 15:57 git Note Added: 0036652
2015-01-26 17:15 apv Note Added: 0036668
2015-01-26 17:15 apv Assigned To apv => bugmaster
2015-01-26 17:15 apv Status reviewed => tested
2015-01-30 14:00 bugmaster Changeset attached => occt master 618617fe
2015-01-30 14:00 bugmaster Status tested => verified
2015-01-30 14:00 bugmaster Resolution open => fixed
2015-02-09 11:05 bugmaster Target Version 7.1.0 => 6.9.0
2015-03-18 13:31 git Note Added: 0038474
2015-03-18 13:31 git Note Added: 0038475
2015-03-18 13:31 git Note Added: 0038476
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0
2018-12-13 15:24 kgv Relationship added related to 0030413


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker